Returns the row ID of the most recent INSERT into the database

- « SQLite3::lastErrorMsg

- SQLite3::loadExtension »

- PHP Manual
- SQLite3
- Returns the row ID of the most recent INSERT into the database

# SQLite3::lastInsertRowID

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SQLite3::lastInsertRowID — Returns the row ID of the most recent INSERT into the database

### Description

public SQLite3::lastInsertRowID(): int

Returns the row ID of the most recent INSERT into the database.

### Parameters

This function has no parameters.

### Return Values

Returns the row ID of the most recent INSERT into the database. If no successful INSERTs into rowid tables have ever occurred on this database connection, then SQLite3::lastInsertRowID() returns `0`.